﻿namespace EDAViewer.Singleton.Helper
{

    // NOTE: Generated code may require at least .NET Framework 4.5 or .NET Core/Standard 2.0.
    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
    public partial class PDSFConfiguration
    {

        private PDSFConfigurationSettings settingsField;

        private PDSFConfigurationDataCollection dataCollectionField;

        /// <remarks/>
        public PDSFConfigurationSettings Settings
        {
            get
            {
                return this.settingsField;
            }
            set
            {
                this.settingsField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollection DataCollection
        {
            get
            {
                return this.dataCollectionField;
            }
            set
            {
                this.dataCollectionField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationSettings
    {

        private bool logisticsValueTrimField;

        private bool parameterValueTrimField;

        private PDSFConfigurationSettingsCeidSettings ceidSettingsField;

        private bool generateDummyIfMissingMIDField;

        private bool requestCSAforTrustedWaferField;

        private string dummyMIDTimeFormatField;

        private PDSFConfigurationSettingsTimePrevDiffSettings timePrevDiffSettingsField;

        private string storagePathField;

        private string filenameField;

        private bool isBackwardLogisticsEnabledField;

        private decimal timeColumnFormatField;

        private string writeEmptyLogisticsField;

        private bool resetLogisticsOnFileCutField;

        private string startTimeFormatField;

        private bool useRawDatabaseField;

        private bool usePdsfFileModeField;

        private bool yodaNotificationRequiredField;

        /// <remarks/>
        public bool LogisticsValueTrim
        {
            get
            {
                return this.logisticsValueTrimField;
            }
            set
            {
                this.logisticsValueTrimField = value;
            }
        }

        /// <remarks/>
        public bool ParameterValueTrim
        {
            get
            {
                return this.parameterValueTrimField;
            }
            set
            {
                this.parameterValueTrimField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationSettingsCeidSettings CeidSettings
        {
            get
            {
                return this.ceidSettingsField;
            }
            set
            {
                this.ceidSettingsField = value;
            }
        }

        /// <remarks/>
        public bool GenerateDummyIfMissingMID
        {
            get
            {
                return this.generateDummyIfMissingMIDField;
            }
            set
            {
                this.generateDummyIfMissingMIDField = value;
            }
        }

        /// <remarks/>
        public bool RequestCSAforTrustedWafer
        {
            get
            {
                return this.requestCSAforTrustedWaferField;
            }
            set
            {
                this.requestCSAforTrustedWaferField = value;
            }
        }

        /// <remarks/>
        public string DummyMIDTimeFormat
        {
            get
            {
                return this.dummyMIDTimeFormatField;
            }
            set
            {
                this.dummyMIDTimeFormatField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationSettingsTimePrevDiffSettings TimePrevDiffSettings
        {
            get
            {
                return this.timePrevDiffSettingsField;
            }
            set
            {
                this.timePrevDiffSettingsField = value;
            }
        }

        /// <remarks/>
        public string StoragePath
        {
            get
            {
                return this.storagePathField;
            }
            set
            {
                this.storagePathField = value;
            }
        }

        /// <remarks/>
        public string Filename
        {
            get
            {
                return this.filenameField;
            }
            set
            {
                this.filenameField = value;
            }
        }

        /// <remarks/>
        public bool IsBackwardLogisticsEnabled
        {
            get
            {
                return this.isBackwardLogisticsEnabledField;
            }
            set
            {
                this.isBackwardLogisticsEnabledField = value;
            }
        }

        /// <remarks/>
        public decimal TimeColumnFormat
        {
            get
            {
                return this.timeColumnFormatField;
            }
            set
            {
                this.timeColumnFormatField = value;
            }
        }

        /// <remarks/>
        public string WriteEmptyLogistics
        {
            get
            {
                return this.writeEmptyLogisticsField;
            }
            set
            {
                this.writeEmptyLogisticsField = value;
            }
        }

        /// <remarks/>
        public bool ResetLogisticsOnFileCut
        {
            get
            {
                return this.resetLogisticsOnFileCutField;
            }
            set
            {
                this.resetLogisticsOnFileCutField = value;
            }
        }

        /// <remarks/>
        public string StartTimeFormat
        {
            get
            {
                return this.startTimeFormatField;
            }
            set
            {
                this.startTimeFormatField = value;
            }
        }

        /// <remarks/>
        public bool UseRawDatabase
        {
            get
            {
                return this.useRawDatabaseField;
            }
            set
            {
                this.useRawDatabaseField = value;
            }
        }

        /// <remarks/>
        public bool UsePdsfFileMode
        {
            get
            {
                return this.usePdsfFileModeField;
            }
            set
            {
                this.usePdsfFileModeField = value;
            }
        }

        /// <remarks/>
        public bool YodaNotificationRequired
        {
            get
            {
                return this.yodaNotificationRequiredField;
            }
            set
            {
                this.yodaNotificationRequiredField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationSettingsCeidSettings
    {

        private bool isEnabledField;

        private object ceidField;

        /// <remarks/>
        public bool IsEnabled
        {
            get
            {
                return this.isEnabledField;
            }
            set
            {
                this.isEnabledField = value;
            }
        }

        /// <remarks/>
        public object Ceid
        {
            get
            {
                return this.ceidField;
            }
            set
            {
                this.ceidField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationSettingsTimePrevDiffSettings
    {

        private bool isEnabledField;

        /// <remarks/>
        public bool IsEnabled
        {
            get
            {
                return this.isEnabledField;
            }
            set
            {
                this.isEnabledField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollection
    {

        private PDSFConfigurationDataCollectionStartTriggers startTriggersField;

        private PDSFConfigurationDataCollectionStopTriggers stopTriggersField;

        private PDSFConfigurationDataCollectionFileCutTriggers fileCutTriggersField;

        private PDSFConfigurationDataCollectionParameter[] parametersField;

        private PDSFConfigurationDataCollectionParameter1[] virtualParametersField;

        private PDSFConfigurationDataCollectionLogistics logisticsField;

        private PDSFConfigurationDataCollectionTrigger triggerField;

        private PDSFConfigurationDataCollectionFileWriterSettings fileWriterSettingsField;

        private PDSFConfigurationDataCollectionGeneralTriggers[] generalTriggersField;

        private string sourceField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionStartTriggers StartTriggers
        {
            get
            {
                return this.startTriggersField;
            }
            set
            {
                this.startTriggersField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionStopTriggers StopTriggers
        {
            get
            {
                return this.stopTriggersField;
            }
            set
            {
                this.stopTriggersField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionFileCutTriggers FileCutTriggers
        {
            get
            {
                return this.fileCutTriggersField;
            }
            set
            {
                this.fileCutTriggersField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Parameter", IsNullable = false)]
        public PDSFConfigurationDataCollectionParameter[] Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Parameter", IsNullable = false)]
        public PDSFConfigurationDataCollectionParameter1[] VirtualParameters
        {
            get
            {
                return this.virtualParametersField;
            }
            set
            {
                this.virtualParametersField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogistics Logistics
        {
            get
            {
                return this.logisticsField;
            }
            set
            {
                this.logisticsField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionTrigger Trigger
        {
            get
            {
                return this.triggerField;
            }
            set
            {
                this.triggerField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionFileWriterSettings FileWriterSettings
        {
            get
            {
                return this.fileWriterSettingsField;
            }
            set
            {
                this.fileWriterSettingsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("GeneralTriggers")]
        public PDSFConfigurationDataCollectionGeneralTriggers[] GeneralTriggers
        {
            get
            {
                return this.generalTriggersField;
            }
            set
            {
                this.generalTriggersField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Source
        {
            get
            {
                return this.sourceField;
            }
            set
            {
                this.sourceField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionStartTriggers
    {

        private PDSFConfigurationDataCollectionStartTriggersDCP dCPField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionStartTriggersDCP DCP
        {
            get
            {
                return this.dCPField;
            }
            set
            {
                this.dCPField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionStartTriggersDCP
    {

        private PDSFConfigurationDataCollectionStartTriggersDCPDataPool dataPoolField;

        private string ruleField;

        private object descriptionField;

        private bool resetGlobalStopSettingsField;

        private string idField;

        private string nameField;

        private bool resolveGlobalVariableBeforeTriggerField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionStartTriggersDCPDataPool DataPool
        {
            get
            {
                return this.dataPoolField;
            }
            set
            {
                this.dataPoolField = value;
            }
        }

        /// <remarks/>
        public string Rule
        {
            get
            {
                return this.ruleField;
            }
            set
            {
                this.ruleField = value;
            }
        }

        /// <remarks/>
        public object Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        public bool ResetGlobalStopSettings
        {
            get
            {
                return this.resetGlobalStopSettingsField;
            }
            set
            {
                this.resetGlobalStopSettingsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool ResolveGlobalVariableBeforeTrigger
        {
            get
            {
                return this.resolveGlobalVariableBeforeTriggerField;
            }
            set
            {
                this.resolveGlobalVariableBeforeTriggerField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionStartTriggersDCPDataPool
    {

        private PDSFConfigurationDataCollectionStartTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] parametersField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ScriptEditorDataPoolParameterModel", IsNullable = false)]
        public PDSFConfigurationDataCollectionStartTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionStartTriggersDCPDataPoolScriptEditorDataPoolParameterModel
    {

        private string nameField;

        private string valueField;

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Value
        {
            get
            {
                return this.valueField;
            }
            set
            {
                this.valueField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionStopTriggers
    {

        private PDSFConfigurationDataCollectionStopTriggersDCP dCPField;

        private int durationField;

        private int receiveTimeoutField;

        private int rowCountField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionStopTriggersDCP DCP
        {
            get
            {
                return this.dCPField;
            }
            set
            {
                this.dCPField = value;
            }
        }

        /// <remarks/>
        public int Duration
        {
            get
            {
                return this.durationField;
            }
            set
            {
                this.durationField = value;
            }
        }

        /// <remarks/>
        public int ReceiveTimeout
        {
            get
            {
                return this.receiveTimeoutField;
            }
            set
            {
                this.receiveTimeoutField = value;
            }
        }

        /// <remarks/>
        public int RowCount
        {
            get
            {
                return this.rowCountField;
            }
            set
            {
                this.rowCountField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionStopTriggersDCP
    {

        private PDSFConfigurationDataCollectionStopTriggersDCPDataPool dataPoolField;

        private string ruleField;

        private object descriptionField;

        private PDSFConfigurationDataCollectionStopTriggersDCPPublishDocumentDataPool publishDocumentDataPoolField;

        private object publishDocumentRuleField;

        private string idField;

        private string nameField;

        private bool resolveGlobalVariableBeforeTriggerField;

        private bool resetGlobalVariablesAfterTriggerField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionStopTriggersDCPDataPool DataPool
        {
            get
            {
                return this.dataPoolField;
            }
            set
            {
                this.dataPoolField = value;
            }
        }

        /// <remarks/>
        public string Rule
        {
            get
            {
                return this.ruleField;
            }
            set
            {
                this.ruleField = value;
            }
        }

        /// <remarks/>
        public object Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionStopTriggersDCPPublishDocumentDataPool PublishDocumentDataPool
        {
            get
            {
                return this.publishDocumentDataPoolField;
            }
            set
            {
                this.publishDocumentDataPoolField = value;
            }
        }

        /// <remarks/>
        public object PublishDocumentRule
        {
            get
            {
                return this.publishDocumentRuleField;
            }
            set
            {
                this.publishDocumentRuleField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool ResolveGlobalVariableBeforeTrigger
        {
            get
            {
                return this.resolveGlobalVariableBeforeTriggerField;
            }
            set
            {
                this.resolveGlobalVariableBeforeTriggerField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool ResetGlobalVariablesAfterTrigger
        {
            get
            {
                return this.resetGlobalVariablesAfterTriggerField;
            }
            set
            {
                this.resetGlobalVariablesAfterTriggerField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionStopTriggersDCPDataPool
    {

        private PDSFConfigurationDataCollectionStopTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] parametersField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ScriptEditorDataPoolParameterModel", IsNullable = false)]
        public PDSFConfigurationDataCollectionStopTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionStopTriggersDCPDataPoolScriptEditorDataPoolParameterModel
    {

        private string nameField;

        private string valueField;

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Value
        {
            get
            {
                return this.valueField;
            }
            set
            {
                this.valueField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionStopTriggersDCPPublishDocumentDataPool
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionFileCutTriggers
    {

        private int intervalField;

        private int rowCountField;

        /// <remarks/>
        public int Interval
        {
            get
            {
                return this.intervalField;
            }
            set
            {
                this.intervalField = value;
            }
        }

        /// <remarks/>
        public int RowCount
        {
            get
            {
                return this.rowCountField;
            }
            set
            {
                this.rowCountField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameter
    {

        private string idField;

        private string nameField;

        private string descriptionField;

        private object childsField;

        private object dataTypeField;

        private string hardWareIdField;

        private bool isArrayField;

        private bool repeatsOnSameLevelField;

        private bool isCyclicalField;

        private string fullNameField;

        private object separatorField;

        private bool isAutoGeneratedField;

        private PDSFConfigurationDataCollectionParameterConditions conditionsField;

        private object localVariablesField;

        private object arithmeticsField;

        private string name1Field;

        private string aliasField;

        private string positionField;

        private int orderField;

        private bool useField;

        /// <remarks/>
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        public object Childs
        {
            get
            {
                return this.childsField;
            }
            set
            {
                this.childsField = value;
            }
        }

        /// <remarks/>
        public object DataType
        {
            get
            {
                return this.dataTypeField;
            }
            set
            {
                this.dataTypeField = value;
            }
        }

        /// <remarks/>
        public string HardWareId
        {
            get
            {
                return this.hardWareIdField;
            }
            set
            {
                this.hardWareIdField = value;
            }
        }

        /// <remarks/>
        public bool IsArray
        {
            get
            {
                return this.isArrayField;
            }
            set
            {
                this.isArrayField = value;
            }
        }

        /// <remarks/>
        public bool RepeatsOnSameLevel
        {
            get
            {
                return this.repeatsOnSameLevelField;
            }
            set
            {
                this.repeatsOnSameLevelField = value;
            }
        }

        /// <remarks/>
        public bool IsCyclical
        {
            get
            {
                return this.isCyclicalField;
            }
            set
            {
                this.isCyclicalField = value;
            }
        }

        /// <remarks/>
        public string FullName
        {
            get
            {
                return this.fullNameField;
            }
            set
            {
                this.fullNameField = value;
            }
        }

        /// <remarks/>
        public object Separator
        {
            get
            {
                return this.separatorField;
            }
            set
            {
                this.separatorField = value;
            }
        }

        /// <remarks/>
        public bool IsAutoGenerated
        {
            get
            {
                return this.isAutoGeneratedField;
            }
            set
            {
                this.isAutoGeneratedField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditions Conditions
        {
            get
            {
                return this.conditionsField;
            }
            set
            {
                this.conditionsField = value;
            }
        }

        /// <remarks/>
        public object LocalVariables
        {
            get
            {
                return this.localVariablesField;
            }
            set
            {
                this.localVariablesField = value;
            }
        }

        /// <remarks/>
        public object Arithmetics
        {
            get
            {
                return this.arithmeticsField;
            }
            set
            {
                this.arithmeticsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Name")]
        public string Name1
        {
            get
            {
                return this.name1Field;
            }
            set
            {
                this.name1Field = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Alias
        {
            get
            {
                return this.aliasField;
            }
            set
            {
                this.aliasField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Position
        {
            get
            {
                return this.positionField;
            }
            set
            {
                this.positionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int Order
        {
            get
            {
                return this.orderField;
            }
            set
            {
                this.orderField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool Use
        {
            get
            {
                return this.useField;
            }
            set
            {
                this.useField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditions
    {

        private PDSFConfigurationDataCollectionParameterConditionsConditionModel conditionModelField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditionsConditionModel ConditionModel
        {
            get
            {
                return this.conditionModelField;
            }
            set
            {
                this.conditionModelField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModel
    {

        private string idField;

        private string nameField;

        private object descriptionField;

        private object conditionField;

        private PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool conditionDataPoolField;

        private string formulaField;

        private PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool formulaDataPoolField;

        private PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool nameDataPoolField;

        /// <remarks/>
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public object Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        public object Condition
        {
            get
            {
                return this.conditionField;
            }
            set
            {
                this.conditionField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool ConditionDataPool
        {
            get
            {
                return this.conditionDataPoolField;
            }
            set
            {
                this.conditionDataPoolField = value;
            }
        }

        /// <remarks/>
        public string Formula
        {
            get
            {
                return this.formulaField;
            }
            set
            {
                this.formulaField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool FormulaDataPool
        {
            get
            {
                return this.formulaDataPoolField;
            }
            set
            {
                this.formulaDataPoolField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool NameDataPool
        {
            get
            {
                return this.nameDataPoolField;
            }
            set
            {
                this.nameDataPoolField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameter1
    {

        private string idField;

        private string nameField;

        private string descriptionField;

        private object childsField;

        private object dataTypeField;

        private string hardWareIdField;

        private bool isArrayField;

        private bool repeatsOnSameLevelField;

        private bool isCyclicalField;

        private string fullNameField;

        private object separatorField;

        private bool isAutoGeneratedField;

        private PDSFConfigurationDataCollectionParameterConditions1 conditionsField;

        private object localVariablesField;

        private object arithmeticsField;

        private string name1Field;

        private string aliasField;

        private string positionField;

        private int orderField;

        private bool useField;

        /// <remarks/>
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        public object Childs
        {
            get
            {
                return this.childsField;
            }
            set
            {
                this.childsField = value;
            }
        }

        /// <remarks/>
        public object DataType
        {
            get
            {
                return this.dataTypeField;
            }
            set
            {
                this.dataTypeField = value;
            }
        }

        /// <remarks/>
        public string HardWareId
        {
            get
            {
                return this.hardWareIdField;
            }
            set
            {
                this.hardWareIdField = value;
            }
        }

        /// <remarks/>
        public bool IsArray
        {
            get
            {
                return this.isArrayField;
            }
            set
            {
                this.isArrayField = value;
            }
        }

        /// <remarks/>
        public bool RepeatsOnSameLevel
        {
            get
            {
                return this.repeatsOnSameLevelField;
            }
            set
            {
                this.repeatsOnSameLevelField = value;
            }
        }

        /// <remarks/>
        public bool IsCyclical
        {
            get
            {
                return this.isCyclicalField;
            }
            set
            {
                this.isCyclicalField = value;
            }
        }

        /// <remarks/>
        public string FullName
        {
            get
            {
                return this.fullNameField;
            }
            set
            {
                this.fullNameField = value;
            }
        }

        /// <remarks/>
        public object Separator
        {
            get
            {
                return this.separatorField;
            }
            set
            {
                this.separatorField = value;
            }
        }

        /// <remarks/>
        public bool IsAutoGenerated
        {
            get
            {
                return this.isAutoGeneratedField;
            }
            set
            {
                this.isAutoGeneratedField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditions1 Conditions
        {
            get
            {
                return this.conditionsField;
            }
            set
            {
                this.conditionsField = value;
            }
        }

        /// <remarks/>
        public object LocalVariables
        {
            get
            {
                return this.localVariablesField;
            }
            set
            {
                this.localVariablesField = value;
            }
        }

        /// <remarks/>
        public object Arithmetics
        {
            get
            {
                return this.arithmeticsField;
            }
            set
            {
                this.arithmeticsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute("Name")]
        public string Name1
        {
            get
            {
                return this.name1Field;
            }
            set
            {
                this.name1Field = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Alias
        {
            get
            {
                return this.aliasField;
            }
            set
            {
                this.aliasField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Position
        {
            get
            {
                return this.positionField;
            }
            set
            {
                this.positionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int Order
        {
            get
            {
                return this.orderField;
            }
            set
            {
                this.orderField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool Use
        {
            get
            {
                return this.useField;
            }
            set
            {
                this.useField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditions1
    {

        private PDSFConfigurationDataCollectionParameterConditionsConditionModel1 conditionModelField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditionsConditionModel1 ConditionModel
        {
            get
            {
                return this.conditionModelField;
            }
            set
            {
                this.conditionModelField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModel1
    {

        private string idField;

        private string nameField;

        private string descriptionField;

        private object conditionField;

        private PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool1 conditionDataPoolField;

        private string formulaField;

        private PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool1 formulaDataPoolField;

        private PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool1 nameDataPoolField;

        /// <remarks/>
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        public object Condition
        {
            get
            {
                return this.conditionField;
            }
            set
            {
                this.conditionField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool1 ConditionDataPool
        {
            get
            {
                return this.conditionDataPoolField;
            }
            set
            {
                this.conditionDataPoolField = value;
            }
        }

        /// <remarks/>
        public string Formula
        {
            get
            {
                return this.formulaField;
            }
            set
            {
                this.formulaField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool1 FormulaDataPool
        {
            get
            {
                return this.formulaDataPoolField;
            }
            set
            {
                this.formulaDataPoolField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool1 NameDataPool
        {
            get
            {
                return this.nameDataPoolField;
            }
            set
            {
                this.nameDataPoolField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool1
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool1
    {

        private PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPoolScriptEditorDataPoolParameterModel[] parametersField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ScriptEditorDataPoolParameterModel", IsNullable = false)]
        public PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPoolScriptEditorDataPoolParameterModel[] Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPoolScriptEditorDataPoolParameterModel
    {

        private string nameField;

        private string valueField;

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Value
        {
            get
            {
                return this.valueField;
            }
            set
            {
                this.valueField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool1
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogistics
    {

        private PDSFConfigurationDataCollectionLogisticsAttribute[] attributesField;

        private PDSFConfigurationDataCollectionLogisticsColumn[] columnsField;

        private PDSFConfigurationDataCollectionLogisticsTriggers triggersField;

        private string equipmentAliasField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Attribute", IsNullable = false)]
        public PDSFConfigurationDataCollectionLogisticsAttribute[] Attributes
        {
            get
            {
                return this.attributesField;
            }
            set
            {
                this.attributesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("Column", IsNullable = false)]
        public PDSFConfigurationDataCollectionLogisticsColumn[] Columns
        {
            get
            {
                return this.columnsField;
            }
            set
            {
                this.columnsField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggers Triggers
        {
            get
            {
                return this.triggersField;
            }
            set
            {
                this.triggersField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string EquipmentAlias
        {
            get
            {
                return this.equipmentAliasField;
            }
            set
            {
                this.equipmentAliasField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsAttribute
    {

        private string keyField;

        private int orderField;

        private string placeholderField;

        private bool useField;

        private bool addAsDataColumnField;

        private string attributeTypeField;

        private string dataColumnAliasField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Key
        {
            get
            {
                return this.keyField;
            }
            set
            {
                this.keyField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int Order
        {
            get
            {
                return this.orderField;
            }
            set
            {
                this.orderField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Placeholder
        {
            get
            {
                return this.placeholderField;
            }
            set
            {
                this.placeholderField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool Use
        {
            get
            {
                return this.useField;
            }
            set
            {
                this.useField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool AddAsDataColumn
        {
            get
            {
                return this.addAsDataColumnField;
            }
            set
            {
                this.addAsDataColumnField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string AttributeType
        {
            get
            {
                return this.attributeTypeField;
            }
            set
            {
                this.attributeTypeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string DataColumnAlias
        {
            get
            {
                return this.dataColumnAliasField;
            }
            set
            {
                this.dataColumnAliasField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsColumn
    {

        private int idField;

        private string prefixField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int ID
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Prefix
        {
            get
            {
                return this.prefixField;
            }
            set
            {
                this.prefixField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggers
    {

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTrigger updateTriggerField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTrigger UpdateTrigger
        {
            get
            {
                return this.updateTriggerField;
            }
            set
            {
                this.updateTriggerField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTrigger
    {

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequest[] logisticRequestField;

        private bool incrementRuleField;

        private bool resolveGlobalVariableBeforeTriggerField;

        private string dCPField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("LogisticRequest")]
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequest[] LogisticRequest
        {
            get
            {
                return this.logisticRequestField;
            }
            set
            {
                this.logisticRequestField = value;
            }
        }

        /// <remarks/>
        public bool IncrementRule
        {
            get
            {
                return this.incrementRuleField;
            }
            set
            {
                this.incrementRuleField = value;
            }
        }

        /// <remarks/>
        public bool ResolveGlobalVariableBeforeTrigger
        {
            get
            {
                return this.resolveGlobalVariableBeforeTriggerField;
            }
            set
            {
                this.resolveGlobalVariableBeforeTriggerField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string DCP
        {
            get
            {
                return this.dCPField;
            }
            set
            {
                this.dCPField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequest
    {

        private int nameField;

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinition callDefinitionField;

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPool dataPoolField;

        private object incrementRuleField;

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeys keysField;

        private string ruleField;

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementCondition logisticIncrementConditionField;

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticsColumn logisticsColumnField;

        /// <remarks/>
        public int Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinition CallDefinition
        {
            get
            {
                return this.callDefinitionField;
            }
            set
            {
                this.callDefinitionField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPool DataPool
        {
            get
            {
                return this.dataPoolField;
            }
            set
            {
                this.dataPoolField = value;
            }
        }

        /// <remarks/>
        public object IncrementRule
        {
            get
            {
                return this.incrementRuleField;
            }
            set
            {
                this.incrementRuleField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeys Keys
        {
            get
            {
                return this.keysField;
            }
            set
            {
                this.keysField = value;
            }
        }

        /// <remarks/>
        public string Rule
        {
            get
            {
                return this.ruleField;
            }
            set
            {
                this.ruleField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementCondition LogisticIncrementCondition
        {
            get
            {
                return this.logisticIncrementConditionField;
            }
            set
            {
                this.logisticIncrementConditionField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticsColumn LogisticsColumn
        {
            get
            {
                return this.logisticsColumnField;
            }
            set
            {
                this.logisticsColumnField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinition
    {

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttribute[] attributesField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("LogisticCallDefinitionAttribute", IsNullable = false)]
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttribute[] Attributes
        {
            get
            {
                return this.attributesField;
            }
            set
            {
                this.attributesField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttribute
    {

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttributeDataPool dataPoolField;

        private string formulaField;

        private string logisticsKeyField;

        private string mappedParameterNameField;

        private string sourceField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttributeDataPool DataPool
        {
            get
            {
                return this.dataPoolField;
            }
            set
            {
                this.dataPoolField = value;
            }
        }

        /// <remarks/>
        public string Formula
        {
            get
            {
                return this.formulaField;
            }
            set
            {
                this.formulaField = value;
            }
        }

        /// <remarks/>
        public string LogisticsKey
        {
            get
            {
                return this.logisticsKeyField;
            }
            set
            {
                this.logisticsKeyField = value;
            }
        }

        /// <remarks/>
        public string MappedParameterName
        {
            get
            {
                return this.mappedParameterNameField;
            }
            set
            {
                this.mappedParameterNameField = value;
            }
        }

        /// <remarks/>
        public string Source
        {
            get
            {
                return this.sourceField;
            }
            set
            {
                this.sourceField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttributeDataPool
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPool
    {

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParameters parametersField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParameters Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParameters
    {

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParametersScriptEditorDataPoolParameterModel scriptEditorDataPoolParameterModelField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParametersScriptEditorDataPoolParameterModel ScriptEditorDataPoolParameterModel
        {
            get
            {
                return this.scriptEditorDataPoolParameterModelField;
            }
            set
            {
                this.scriptEditorDataPoolParameterModelField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParametersScriptEditorDataPoolParameterModel
    {

        private string nameField;

        private string valueField;

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Value
        {
            get
            {
                return this.valueField;
            }
            set
            {
                this.valueField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeys
    {

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysEquipmentName equipmentNameField;

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMapping keyMappingField;

        private int defaultCarrierIndexField;

        private string defaultJobIndexField;

        private int defaultSlotIndexField;

        private string scenarioField;

        private bool useAllRequestedDataField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysEquipmentName EquipmentName
        {
            get
            {
                return this.equipmentNameField;
            }
            set
            {
                this.equipmentNameField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMapping KeyMapping
        {
            get
            {
                return this.keyMappingField;
            }
            set
            {
                this.keyMappingField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int DefaultCarrierIndex
        {
            get
            {
                return this.defaultCarrierIndexField;
            }
            set
            {
                this.defaultCarrierIndexField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string DefaultJobIndex
        {
            get
            {
                return this.defaultJobIndexField;
            }
            set
            {
                this.defaultJobIndexField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int DefaultSlotIndex
        {
            get
            {
                return this.defaultSlotIndexField;
            }
            set
            {
                this.defaultSlotIndexField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Scenario
        {
            get
            {
                return this.scenarioField;
            }
            set
            {
                this.scenarioField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool UseAllRequestedData
        {
            get
            {
                return this.useAllRequestedDataField;
            }
            set
            {
                this.useAllRequestedDataField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysEquipmentName
    {

        private string fixedNameField;

        private string parameterNameField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string FixedName
        {
            get
            {
                return this.fixedNameField;
            }
            set
            {
                this.fixedNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string ParameterName
        {
            get
            {
                return this.parameterNameField;
            }
            set
            {
                this.parameterNameField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMapping
    {

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMappingDataPool dataPoolField;

        private string formulaField;

        private string keyNameField;

        private string parameterNameField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMappingDataPool DataPool
        {
            get
            {
                return this.dataPoolField;
            }
            set
            {
                this.dataPoolField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Formula
        {
            get
            {
                return this.formulaField;
            }
            set
            {
                this.formulaField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string KeyName
        {
            get
            {
                return this.keyNameField;
            }
            set
            {
                this.keyNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string ParameterName
        {
            get
            {
                return this.parameterNameField;
            }
            set
            {
                this.parameterNameField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMappingDataPool
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementCondition
    {

        private object ruleField;

        private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementConditionDataPool dataPoolField;

        /// <remarks/>
        public object Rule
        {
            get
            {
                return this.ruleField;
            }
            set
            {
                this.ruleField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementConditionDataPool DataPool
        {
            get
            {
                return this.dataPoolField;
            }
            set
            {
                this.dataPoolField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementConditionDataPool
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticsColumn
    {

        private int fixedField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int Fixed
        {
            get
            {
                return this.fixedField;
            }
            set
            {
                this.fixedField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionTrigger
    {

        private PDSFConfigurationDataCollectionTriggerDataPool dataPoolField;

        private object ruleField;

        private object descriptionField;

        private string idField;

        private string nameField;

        private bool resolveGlobalVariableBeforeTriggerField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionTriggerDataPool DataPool
        {
            get
            {
                return this.dataPoolField;
            }
            set
            {
                this.dataPoolField = value;
            }
        }

        /// <remarks/>
        public object Rule
        {
            get
            {
                return this.ruleField;
            }
            set
            {
                this.ruleField = value;
            }
        }

        /// <remarks/>
        public object Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool ResolveGlobalVariableBeforeTrigger
        {
            get
            {
                return this.resolveGlobalVariableBeforeTriggerField;
            }
            set
            {
                this.resolveGlobalVariableBeforeTriggerField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionTriggerDataPool
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionFileWriterSettings
    {

        private string usedFileWriterField;

        private PDSFConfigurationDataCollectionFileWriterSettingsArrayInRowsSettings arrayInRowsSettingsField;

        private PDSFConfigurationDataCollectionFileWriterSettingsParameterInRowsSettings parameterInRowsSettingsField;

        /// <remarks/>
        public string UsedFileWriter
        {
            get
            {
                return this.usedFileWriterField;
            }
            set
            {
                this.usedFileWriterField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionFileWriterSettingsArrayInRowsSettings ArrayInRowsSettings
        {
            get
            {
                return this.arrayInRowsSettingsField;
            }
            set
            {
                this.arrayInRowsSettingsField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionFileWriterSettingsParameterInRowsSettings ParameterInRowsSettings
        {
            get
            {
                return this.parameterInRowsSettingsField;
            }
            set
            {
                this.parameterInRowsSettingsField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionFileWriterSettingsArrayInRowsSettings
    {

        private int logisticChangeExtendTimeField;

        private int extendTimeField;

        private int defaultValueForArrayInLinesField;

        private bool isEnabledField;

        /// <remarks/>
        public int LogisticChangeExtendTime
        {
            get
            {
                return this.logisticChangeExtendTimeField;
            }
            set
            {
                this.logisticChangeExtendTimeField = value;
            }
        }

        /// <remarks/>
        public int ExtendTime
        {
            get
            {
                return this.extendTimeField;
            }
            set
            {
                this.extendTimeField = value;
            }
        }

        /// <remarks/>
        public int DefaultValueForArrayInLines
        {
            get
            {
                return this.defaultValueForArrayInLinesField;
            }
            set
            {
                this.defaultValueForArrayInLinesField = value;
            }
        }

        /// <remarks/>
        public bool IsEnabled
        {
            get
            {
                return this.isEnabledField;
            }
            set
            {
                this.isEnabledField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionFileWriterSettingsParameterInRowsSettings
    {

        private bool isEnabledField;

        private string dataColumnNameField;

        private string logisticColumnNameField;

        private bool isGenerateHashCodeEnabledField;

        private string hashCodeColumnNameField;

        /// <remarks/>
        public bool IsEnabled
        {
            get
            {
                return this.isEnabledField;
            }
            set
            {
                this.isEnabledField = value;
            }
        }

        /// <remarks/>
        public string DataColumnName
        {
            get
            {
                return this.dataColumnNameField;
            }
            set
            {
                this.dataColumnNameField = value;
            }
        }

        /// <remarks/>
        public string LogisticColumnName
        {
            get
            {
                return this.logisticColumnNameField;
            }
            set
            {
                this.logisticColumnNameField = value;
            }
        }

        /// <remarks/>
        public bool IsGenerateHashCodeEnabled
        {
            get
            {
                return this.isGenerateHashCodeEnabledField;
            }
            set
            {
                this.isGenerateHashCodeEnabledField = value;
            }
        }

        /// <remarks/>
        public string HashCodeColumnName
        {
            get
            {
                return this.hashCodeColumnNameField;
            }
            set
            {
                this.hashCodeColumnNameField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionGeneralTriggers
    {

        private PDSFConfigurationDataCollectionGeneralTriggersDataPool dataPoolField;

        private object ruleField;

        private object descriptionField;

        private PDSFConfigurationDataCollectionGeneralTriggersVariableModel[] globalVariablesField;

        private string idField;

        private string nameField;

        private bool resolveGlobalVariableBeforeTriggerField;

        /// <remarks/>
        public PDSFConfigurationDataCollectionGeneralTriggersDataPool DataPool
        {
            get
            {
                return this.dataPoolField;
            }
            set
            {
                this.dataPoolField = value;
            }
        }

        /// <remarks/>
        public object Rule
        {
            get
            {
                return this.ruleField;
            }
            set
            {
                this.ruleField = value;
            }
        }

        /// <remarks/>
        public object Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("VariableModel", IsNullable = false)]
        public PDSFConfigurationDataCollectionGeneralTriggersVariableModel[] GlobalVariables
        {
            get
            {
                return this.globalVariablesField;
            }
            set
            {
                this.globalVariablesField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool ResolveGlobalVariableBeforeTrigger
        {
            get
            {
                return this.resolveGlobalVariableBeforeTriggerField;
            }
            set
            {
                this.resolveGlobalVariableBeforeTriggerField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionGeneralTriggersDataPool
    {

        private object parametersField;

        /// <remarks/>
        public object Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionGeneralTriggersVariableModel
    {

        private string idField;

        private string nameField;

        private object descriptionField;

        private PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPool dataPoolField;

        private string formulaField;

        private string parameterNameField;

        private string[] resolveBeforeTriggersField;

        /// <remarks/>
        public string Id
        {
            get
            {
                return this.idField;
            }
            set
            {
                this.idField = value;
            }
        }

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public object Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        public PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPool DataPool
        {
            get
            {
                return this.dataPoolField;
            }
            set
            {
                this.dataPoolField = value;
            }
        }

        /// <remarks/>
        public string Formula
        {
            get
            {
                return this.formulaField;
            }
            set
            {
                this.formulaField = value;
            }
        }

        /// <remarks/>
        public string ParameterName
        {
            get
            {
                return this.parameterNameField;
            }
            set
            {
                this.parameterNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("ResolveBeforeTriggers")]
        public string[] ResolveBeforeTriggers
        {
            get
            {
                return this.resolveBeforeTriggersField;
            }
            set
            {
                this.resolveBeforeTriggersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPool
    {

        private PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPoolScriptEditorDataPoolParameterModel[] parametersField;

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ScriptEditorDataPoolParameterModel", IsNullable = false)]
        public PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPoolScriptEditorDataPoolParameterModel[] Parameters
        {
            get
            {
                return this.parametersField;
            }
            set
            {
                this.parametersField = value;
            }
        }
    }

    /// <remarks/>
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPoolScriptEditorDataPoolParameterModel
    {

        private string nameField;

        private string valueField;

        /// <remarks/>
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <remarks/>
        public string Value
        {
            get
            {
                return this.valueField;
            }
            set
            {
                this.valueField = value;
            }
        }
    }

}